Skip to content

Get supplier history ​

GET
/v1/suppliers/{supplier_id}/history

Get the history of a supplier based on supplier_id

Authorizations​

api_key
Type
API Key (header: X-Api-Key)

Parameters​

Path Parameters

supplier_id*

XS2event ID of the Supplier

Type
string
Required

Query Parameters

sorting
Type
string
Default
null
page_size

Number of items per page

Type
integer
Default
50
page

Current page

Type
integer
Default
1

Responses​

OK

application/json
JSON
{
  
"history": [
  
  
{
  
  
  
"supplier": {
  
  
  
  
"name": null,
  
  
  
  
"supplier_role": null,
  
  
  
  
"supplier_id": null,
  
  
  
  
"vat_number": null,
  
  
  
  
"member_state": null,
  
  
  
  
"general_terms": null,
  
  
  
  
"xs2ticket_checkout": "lead_guest",
  
  
  
  
"iso_country": null,
  
  
  
  
"default_discount_share": null,
  
  
  
  
"default_discount_percentage": null,
  
  
  
  
"default_currency": null,
  
  
  
  
"purchase_channel": "manual",
  
  
  
  
"supplier_status": "active",
  
  
  
  
"selfmanage_products": false,
  
  
  
  
"foreign_vat_numbers": {
  
  
  
  
  
"additionalProperties": "string"
  
  
  
  
},
  
  
  
  
"created": null,
  
  
  
  
"url_website": null,
  
  
  
  
"general_contact": {
  
  
  
  
  
"firstname": null,
  
  
  
  
  
"lastname": null,
  
  
  
  
  
"phonenumber": null,
  
  
  
  
  
"email": null
  
  
  
  
},
  
  
  
  
"emergency_contact": {
  
  
  
  
  
"firstname": null,
  
  
  
  
  
"lastname": null,
  
  
  
  
  
"phonenumber": null,
  
  
  
  
  
"email": null
  
  
  
  
},
  
  
  
  
"other_contact": {
  
  
  
  
  
"firstname": null,
  
  
  
  
  
"lastname": null,
  
  
  
  
  
"phonenumber": null,
  
  
  
  
  
"email": null
  
  
  
  
},
  
  
  
  
"technical_contact": {
  
  
  
  
  
"firstname": null,
  
  
  
  
  
"lastname": null,
  
  
  
  
  
"phonenumber": null,
  
  
  
  
  
"email": null
  
  
  
  
},
  
  
  
  
"distributors_disabled": [
  
  
  
  
  
"string"
  
  
  
  
],
  
  
  
  
"distributors_enabled": [
  
  
  
  
  
"string"
  
  
  
  
],
  
  
  
  
"emails": [
  
  
  
  
],
  
  
  
  
"invoice_address": {
  
  
  
  
  
"country": null,
  
  
  
  
  
"city": null,
  
  
  
  
  
"province": null,
  
  
  
  
  
"number": null,
  
  
  
  
  
"postalcode": null,
  
  
  
  
  
"streetname": null,
  
  
  
  
  
"streetname2": null,
  
  
  
  
  
"latitude": null,
  
  
  
  
  
"longitude": null
  
  
  
  
},
  
  
  
  
"allowed_distribution_channel_types": [
  
  
  
  
  
"string"
  
  
  
  
],
  
  
  
  
"allowed_distribution_channels": [
  
  
  
  
  
"string"
  
  
  
  
],
  
  
  
  
"allowed_distribution_channel_accesstypes": [
  
  
  
  
  
"string"
  
  
  
  
],
  
  
  
  
"allowed_distribution_methods": [
  
  
  
  
  
"string"
  
  
  
  
],
  
  
  
  
"signed_platform_agreement_date": null,
  
  
  
  
"signed_platform_agreement_version": null,
  
  
  
  
"supplier_app_name": null,
  
  
  
  
"supplier_products": {
  
  
  
  
  
"additionalProperties": "string"
  
  
  
  
},
  
  
  
  
"markup_percentage": null,
  
  
  
  
"markup_fixed": null
  
  
  
},
  
  
  
"supplier_id": "string",
  
  
  
"inactive_since": null,
  
  
  
"created": null,
  
  
  
"created_by": null,
  
  
  
"updated_by": null
  
  
}
  
],
  
"pagination": {
  
  
"total_size": 1,
  
  
"page_size": 50,
  
  
"page_number": 1,
  
  
"next_page": "string",
  
  
"previous_page": "string"
  
}
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​